# Generated from miga-gui-0.2.0.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name miga-gui

Name: rubygem-%{gem_name}
Version: 0.2.0.9
Release: 1%{?dist}
Summary: MiGA GUI
License: Artistic-2.0
URL: http://enve-omics.ce.gatech.edu/miga
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(test-unit) >= 3
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
Graphical User Interface for the Microbial Genomes Atlas.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/miga-gui
%{gem_instdir}/bin
%{gem_instdir}/img
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile

%changelog
* Tue Aug 24 2021 mockbuilder - 0.2.0.9-1
- Initial package
